Eclipse Platform Release 3.7

## org.eclipse.jface.text
Interface ISlaveDocumentManagerExtension

All Known Implementing Classes:
  ChildDocumentManager, ProjectionDocumentManager

    public interface ISlaveDocumentManagerExtension

Extension interface for `ISlaveDocumentManager`.

Adds access to the list of all slave documents for a given master document.

Since:
  3.0
See Also:
  `ISlaveDocumentManager`

Method Summary
`IDocument[]` `getSlaveDocuments(IDocument master)` Returns the list of slave documents for the given master document or `null` if there are no such slave document.

Method Detail

### getSlaveDocuments

    IDocument[] getSlaveDocuments(IDocument master)

  Returns the list of slave documents for the given master document or `null` if there are no such slave document.

  Parameters:
    `master` - the master document
  Returns:
    the list of slave documents or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.